com.r3corda.contracts / CommercialPaper / generateRedeem

# generateRedeem

`fun generateRedeem(tx: TransactionBuilder, paper: StateAndRef<State>, wallet: List<StateAndRef<State>>): Unit`

Intended to be called by the issuer of some commercial paper, when an owner has notified us that they wish to redeem the paper. We must therefore send enough money to the key that owns the paper to satisfy the face value, and then ensure the paper is removed from the ledger.

### Exceptions

`InsufficientBalanceException` - if the wallet doesnt contain enough money to pay the redeemer.